Subject: Re: bug#38818: jidanni's mail headers not perfect?!

From: Eli Zaretskii <[email-masked]>
Date: Mon, 06 Jan 2020 12:09:17 +0200

On January 6, 2020 11:56:18 AM GMT+02:00, Pieter van Oostrum <[email-masked]> wrote:
> Eli Zaretskii <[email-masked]> writes:
> 
> OK, then I probably didn't understand you.
> You asked about =?utf-8?B?56mN5Li55bC8?=
> "Why do you think this arrives intact to people's MUA?"
> 
> So I thought you meant there is something wrong with that part.
> Apparently you did not mean that. So what did you mean? Dan seems to
> want that part (some CJK characters) to show up in the email, and it
> does for me. And that is how it should be.

I'm saying that if the original mail had some suitable MIME charset in its headers, the problem would be less likely to happen.  Because email messages that rely on implicit encoding specifications are more likely to hit subtle problems.

And btw, no one can rely on having the exact same encoded name in response email, MUA and MTA are free to change the representation at will, as long as the content is transferred without losses.